diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -10165,208 +10131,218 @@ __exitcall_ebc_exit:
 	.string	"pmic"
 	.zero	3
 .LC28:
-	.string	"not find pmic node\n"
+	.string	"wrong pmics number\n"
 	.zero	4
 .LC29:
+	.string	"not find pmic node\n"
+	.zero	4
+.LC30:
 	.string	"not find pmic i2c client\n"
 	.zero	6
-.LC30:
+.LC31:
+	.string	"use pmic%d\n"
+	.zero	4
+.LC32:
 	.string	"get drvdata from pmic client failed\n"
 	.zero	3
-.LC31:
+.LC33:
 	.string	"panel,width"
 	.zero	4
-.LC32:
+.LC34:
 	.string	"panel,panel_color"
 	.zero	6
-.LC33:
+.LC35:
 	.string	"panel,mirror"
 	.zero	3
-.LC34:
+.LC36:
 	.string	"panel,width-mm"
 	.zero	1
-.LC35:
+.LC37:
 	.string	"panel,height-mm"
-.LC36:
+.LC38:
 	.string	"memory-region"
 	.zero	2
-.LC37:
+.LC39:
 	.string	"Couldn't address to resource for reserved memory\n"
 	.zero	6
-.LC38:
+.LC40:
 	.string	"waveform-region"
-.LC39:
+.LC41:
 	.string	"%s:%d: failed to get mem from reserved\n"
-.LC40:
+.LC42:
 	.string	"Failed to read waveform from mem, we use waveform file from kernel file instead\n"
 	.zero	7
-.LC41:
+.LC43:
 	.string	"Failed to read waveform file from kernel, no waveform!!!\n"
 	.zero	6
-.LC42:
+.LC44:
 	.string	"failed to create ebc_task thread\n"
 	.zero	6
-.LC43:
+.LC45:
 	.string	"ebc_thread"
 	.zero	5
-.LC44:
+.LC46:
 	.string	"ebc"
 	.zero	4
-.LC45:
+.LC47:
 	.string	"ulogo_addr="
 	.zero	4
-.LC46:
+.LC48:
 	.string	"klogo_addr="
 	.zero	4
-.LC47:
+.LC49:
 	.string	"ulogo_addr=0x%x"
-.LC48:
+.LC50:
 	.string	"have ulogo display, ulogo addr = 0x%x\n"
 	.zero	1
-.LC49:
+.LC51:
 	.string	"malloc ulogo buffer failed\n"
 	.zero	4
-.LC50:
+.LC52:
 	.string	"klogo_addr=0x%x"
-.LC51:
+.LC53:
 	.string	"need show klogo, klogo addr = 0x%x\n"
 	.zero	4
-.LC52:
+.LC54:
 	.string	"malloc klogo buffer failed\n"
 	.zero	4
-.LC53:
+.LC55:
 	.string	"no uboot logo, panel init\n"
 	.zero	5
-.LC54:
+.LC56:
 	.string	"rockchip ebc driver %s probe success\n"
 	.zero	2
-.LC55:
+.LC57:
 	.string	"panel,height"
 	.zero	3
-.LC56:
+.LC58:
 	.string	"panel,vir_width"
-.LC57:
+.LC59:
 	.string	"panel,vir_height"
 	.zero	7
-.LC58:
+.LC60:
 	.string	"panel,sdck"
 	.zero	5
-.LC59:
+.LC61:
 	.string	"panel,lsl"
 	.zero	6
-.LC60:
+.LC62:
 	.string	"panel,lbl"
 	.zero	6
-.LC61:
+.LC63:
 	.string	"panel,ldl"
 	.zero	6
-.LC62:
+.LC64:
 	.string	"panel,lel"
 	.zero	6
-.LC63:
+.LC65:
 	.string	"panel,gdck-sta"
 	.zero	1
-.LC64:
+.LC66:
 	.string	"panel,lgonl"
 	.zero	4
-.LC65:
+.LC67:
 	.string	"panel,fsl"
 	.zero	6
-.LC66:
+.LC68:
 	.string	"panel,fbl"
 	.zero	6
-.LC67:
+.LC69:
 	.string	"panel,fdl"
 	.zero	6
-.LC68:
+.LC70:
 	.string	"panel,fel"
 	.zero	6
-.LC69:
+.LC71:
 	.string	"panel,panel_16bit"
 	.zero	6
-.LC70:
+.LC72:
 	.string	"buffer manage init failed\n"
 	.zero	5
-.LC71:
+.LC73:
 	.string	"lut table init failed\n"
 	.zero	1
-.LC72:
+.LC74:
 	.string	"ebc_task"
 	.zero	7
-.LC73:
+.LC75:
 	.string	"failed to run ebc thread\n"
 	.zero	6
-.LC74:
+.LC76:
 	.string	"task init failed\n"
 	.zero	6
-.LC75:
+.LC77:
 	.string	"failed to probe panel: %d\n"
 	.zero	5
-.LC76:
+.LC78:
 	.string	"ebc hw power on\n"
 	.zero	7
-.LC77:
+.LC79:
 	.string	"early resume\n"
 	.zero	2
-.LC78:
+.LC80:
+	.string	"refresh suspend logo\n"
+	.zero	2
+.LC81:
 	.string	"overlay mode start, update background, frame_total=%d\n"
 	.zero	1
-.LC79:
+.LC82:
 	.string	"change display mode from %d to %d\n"
 	.zero	5
-.LC80:
+.LC83:
 	.string	"ebc is busy now, waiting prev refresh mode end...\n"
 	.zero	5
-.LC81:
+.LC84:
 	.string	"prev refresh mode end\n"
 	.zero	1
-.LC82:
+.LC85:
 	.string	"overlay disabled, drop EPD_OVERLAY frame\n"
 	.zero	6
-.LC83:
+.LC86:
 	.string	"overlay mode start, frame_total=%d\n"
 	.zero	4
-.LC84:
+.LC87:
 	.string	"ebc_lut_update err\n"
 	.zero	4
-.LC85:
+.LC88:
 	.string	"auto mode start, frame_total=%d\n"
 	.zero	7
-.LC86:
+.LC89:
 	.string	"frame start, mode = %d, framecount = %d\n"
 	.zero	7
-.LC87:
-	.string	"ebc buffer mode error!\n"
-.LC88:
+.LC90:
+	.string	"ebc buffer mode %d error!!!\n"
+	.zero	3
+.LC91:
 	.string	"power off\n"
 	.zero	5
-.LC89:
+.LC92:
 	.string	"early suspend\n"
 	.zero	1
-.LC90:
+.LC93:
 	.string	"check_part_mode==0, no need refresh\n"
 	.zero	3
-.LC91:
+.LC94:
 	.string	"ebc-dev"
-.LC92:
+.LC95:
 	.string	"ebc_buf_state"
 	.zero	2
-.LC93:
+.LC96:
 	.string	"ebc_state"
 	.zero	6
-.LC94:
+.LC97:
 	.string	"ebc_version"
 	.zero	4
-.LC95:
+.LC98:
 	.string	"pmic_vcom"
 	.zero	6
-.LC96:
+.LC99:
 	.string	"pmic_temp"
 	.zero	6
-.LC97:
+.LC100:
 	.string	"pmic_name"
 	.zero	6
-.LC98:
+.LC101:
 	.string	"waveform_version"
 	.text
 .Letext0:
@@ -10558,24 +10534,26 @@ __exitcall_ebc_exit:
 	.file 204 "./include/linux/err.h"
 	.file 205 "./include/asm-generic/getorder.h"
 	.file 206 "./include/linux/log2.h"
-	.file 207 "./include/asm-generic/bitops/fls64.h"
-	.file 208 "./include/asm-generic/bitops/builtin-__fls.h"
-	.file 209 "./include/linux/kasan-checks.h"
-	.file 210 "./include/linux/of_address.h"
-	.file 211 "./arch/arm64/include/asm/string.h"
-	.file 212 "./include/linux/string.h"
+	.file 207 "./include/uapi/linux/byteorder/little_endian.h"
+	.file 208 "./include/uapi/linux/swab.h"
+	.file 209 "./include/asm-generic/bitops/fls64.h"
+	.file 210 "./include/asm-generic/bitops/builtin-__fls.h"
+	.file 211 "./include/linux/kasan-checks.h"
+	.file 212 "./include/linux/of_address.h"
+	.file 213 "./arch/arm64/include/asm/string.h"
+	.file 214 "./include/linux/string.h"
 	.section	.debug_info,"",@progbits
 .Ldebug_info0:
-	.4byte	0x144d6
+	.4byte	0x14612
 	.2byte	0x4
 	.4byte	.Ldebug_abbrev0
 	.byte	0x8
 	.uleb128 0x1
-	.4byte	.LASF3287
+	.4byte	.LASF3293
 	.byte	0x1
-	.4byte	.LASF3288
-	.4byte	.LASF3289
-	.4byte	.Ldebug_ranges0+0x1260
+	.4byte	.LASF3294
+	.4byte	.LASF3295
+	.4byte	.Ldebug_ranges0+0x1160
 	.8byte	0
 	.4byte	.Ldebug_line0
 	.uleb128 0x2
@@ -10665,11 +10643,13 @@ __exitcall_ebc_exit:
 	.byte	0x13
 	.byte	0x1b
 	.4byte	0x6d
+	.uleb128 0x3
+	.4byte	0xd2
 	.uleb128 0x8
 	.4byte	.LASF13
 	.byte	0x13
 	.byte	0x1e
-	.4byte	0xe8
+	.4byte	0xed
 	.uleb128 0x2
 	.byte	0x8
 	.byte	0x5
@@ -10678,7 +10658,7 @@ __exitcall_ebc_exit:
 	.4byte	.LASF15
 	.byte	0x13
 	.byte	0x1f
-	.4byte	0xfa
+	.4byte	0xff
 	.uleb128 0x2
 	.byte	0x8
 	.byte	0x7
@@ -10694,44 +10674,44 @@ __exitcall_ebc_exit:
 	.byte	0x11
 	.4byte	0x8b
 	.uleb128 0x3
-	.4byte	0x10b
+	.4byte	0x110
 	.uleb128 0xa
 	.string	"u16"
 	.byte	0x14
 	.byte	0x13
 	.4byte	0xa9
 	.uleb128 0x3
-	.4byte	0x11a
+	.4byte	0x11f
 	.uleb128 0xa
 	.string	"s32"
 	.byte	0x14
 	.byte	0x14
 	.4byte	0xbb
 	.uleb128 0x3
-	.4byte	0x12a
+	.4byte	0x12f
 	.uleb128 0xa
 	.string	"u32"
 	.byte	0x14
 	.byte	0x15
 	.4byte	0xd2
 	.uleb128 0x3
-	.4byte	0x13a
+	.4byte	0x13f
 	.uleb128 0xa
 	.string	"s64"
 	.byte	0x14
 	.byte	0x16
-	.4byte	0xdd
+	.4byte	0xe2
 	.uleb128 0xa
 	.string	"u64"
 	.byte	0x14
 	.byte	0x17
-	.4byte	0xef
+	.4byte	0xf4
 	.uleb128 0xb
 	.byte	0x4
 	.4byte	0x6d
 	.byte	0x55
 	.byte	0xa
-	.4byte	0x179
+	.4byte	0x17e
 	.uleb128 0xc
 	.4byte	.LASF17
 	.byte	0
@@ -10741,7 +10721,7 @@ __exitcall_ebc_exit:
 	.byte	0
 	.uleb128 0x5
 	.4byte	0x29
-	.4byte	0x189
+	.4byte	0x18e
 	.uleb128 0x6
 	.4byte	0x4f
 	.byte	0xf
@@ -10750,13 +10730,13 @@ __exitcall_ebc_exit:
 	.4byte	.LASF19
 	.byte	0x15
 	.byte	0xf
-	.4byte	0x194
+	.4byte	0x199
 	.uleb128 0x2
 	.byte	0x8
 	.byte	0x5
 	.4byte	.LASF20
 	.uleb128 0x4
-	.4byte	0x194
+	.4byte	0x199
 	.uleb128 0x8
 	.4byte	.LASF21
 	.byte	0x15
@@ -10781,27 +10761,27 @@ __exitcall_ebc_exit:
 	.4byte	.LASF25
 	.byte	0x15
 	.byte	0x48
-	.4byte	0x1a0
+	.4byte	0x1a5
 	.uleb128 0x8
 	.4byte	.LASF26
 	.byte	0x15
 	.byte	0x49
-	.4byte	0x189
+	.4byte	0x18e
 	.uleb128 0x8
 	.4byte	.LASF27
 	.byte	0x15
 	.byte	0x58
-	.4byte	0xe8
+	.4byte	0xed
 	.uleb128 0x8
 	.4byte	.LASF28
 	.byte	0x15
 	.byte	0x59
-	.4byte	0x189
+	.4byte	0x18e
 	.uleb128 0x8
 	.4byte	.LASF29
 	.byte	0x15
 	.byte	0x5b
-	.4byte	0x189
+	.4byte	0x18e
 	.uleb128 0x8
 	.4byte	.LASF30
 	.byte	0x15
@@ -10816,7 +10796,7 @@ __exitcall_ebc_exit:
 	.byte	0x8
 	.4byte	0x61
 	.uleb128 0x3
-	.4byte	0x219
+	.4byte	0x21e
 	.uleb128 0x8
 	.4byte	.LASF32
 	.byte	0x16
@@ -10825,135 +10805,142 @@ __exitcall_ebc_exit:
 	.uleb128 0x8
 	.4byte	.LASF33
 	.byte	0x16
+	.byte	0x20
+	.4byte	0xd2
+	.uleb128 0x3
+	.4byte	0x234
+	.uleb128 0x8
+	.4byte	.LASF34
+	.byte	0x16
 	.byte	0x34
 	.4byte	0x6d
 	.uleb128 0xd
-	.4byte	.LASF61
+	.4byte	.LASF62
 	.byte	0x8
 	.byte	0x17
 	.byte	0x3d
-	.4byte	0x25f
+	.4byte	0x274
 	.uleb128 0xe
-	.4byte	.LASF34
+	.4byte	.LASF35
 	.byte	0x17
 	.byte	0x3e
 	.4byte	0xc6
 	.byte	0
 	.uleb128 0xe
-	.4byte	.LASF35
+	.4byte	.LASF36
 	.byte	0x17
 	.byte	0x3f
 	.4byte	0xc6
 	.byte	0x4
 	.byte	0
 	.uleb128 0x3
-	.4byte	0x23a
+	.4byte	0x24f
 	.uleb128 0x8
-	.4byte	.LASF36
+	.4byte	.LASF37
 	.byte	0x18
 	.byte	0xd
-	.4byte	0x13a
+	.4byte	0x13f
 	.uleb128 0x8
-	.4byte	.LASF37
+	.4byte	.LASF38
 	.byte	0x18
 	.byte	0x10
-	.4byte	0x264
+	.4byte	0x279
 	.uleb128 0x8
-	.4byte	.LASF38
+	.4byte	.LASF39
 	.byte	0x18
 	.byte	0x13
 	.4byte	0xb4
 	.uleb128 0x8
-	.4byte	.LASF39
+	.4byte	.LASF40
 	.byte	0x18
 	.byte	0x16
-	.4byte	0x1ab
+	.4byte	0x1b0
 	.uleb128 0x8
-	.4byte	.LASF40
+	.4byte	.LASF41
 	.byte	0x18
 	.byte	0x1b
-	.4byte	0x20e
+	.4byte	0x213
 	.uleb128 0x8
-	.4byte	.LASF41
+	.4byte	.LASF42
 	.byte	0x18
 	.byte	0x1e
-	.4byte	0x2a6
+	.4byte	0x2bb
 	.uleb128 0x2
 	.byte	0x1
 	.byte	0x2
-	.4byte	.LASF42
-	.uleb128 0x8
 	.4byte	.LASF43
+	.uleb128 0x8
+	.4byte	.LASF44
 	.byte	0x18
 	.byte	0x20
-	.4byte	0x1b6
+	.4byte	0x1bb
 	.uleb128 0x8
-	.4byte	.LASF44
+	.4byte	.LASF45
 	.byte	0x18
 	.byte	0x21
-	.4byte	0x1c1
+	.4byte	0x1c6
 	.uleb128 0x8
-	.4byte	.LASF45
+	.4byte	.LASF46
 	.byte	0x18
 	.byte	0x2e
-	.4byte	0x1e2
+	.4byte	0x1e7
 	.uleb128 0x8
-	.4byte	.LASF46
+	.4byte	.LASF47
 	.byte	0x18
 	.byte	0x37
-	.4byte	0x1cc
+	.4byte	0x1d1
 	.uleb128 0x8
-	.4byte	.LASF47
+	.4byte	.LASF48
 	.byte	0x18
 	.byte	0x3c
-	.4byte	0x1d7
+	.4byte	0x1dc
 	.uleb128 0x8
-	.4byte	.LASF48
+	.4byte	.LASF49
 	.byte	0x18
 	.byte	0x67
-	.4byte	0x12a
+	.4byte	0x12f
 	.uleb128 0x8
-	.4byte	.LASF49
+	.4byte	.LASF50
 	.byte	0x18
 	.byte	0x6d
-	.4byte	0x13a
+	.4byte	0x13f
 	.uleb128 0x8
-	.4byte	.LASF50
+	.4byte	.LASF51
 	.byte	0x18
 	.byte	0x86
 	.4byte	0x29
 	.uleb128 0x8
-	.4byte	.LASF51
+	.4byte	.LASF52
 	.byte	0x18
 	.byte	0x87
 	.4byte	0x29
 	.uleb128 0x8
-	.4byte	.LASF52
+	.4byte	.LASF53
 	.byte	0x18
 	.byte	0x99
-	.4byte	0x155
+	.4byte	0x15a
 	.uleb128 0x8
-	.4byte	.LASF53
+	.4byte	.LASF54
 	.byte	0x18
 	.byte	0x9e
 	.4byte	0x6d
 	.uleb128 0x8
-	.4byte	.LASF54
+	.4byte	.LASF55
 	.byte	0x18
 	.byte	0xa0
 	.4byte	0x6d
 	.uleb128 0x8
-	.4byte	.LASF55
+	.4byte	.LASF56
 	.byte	0x18
 	.byte	0xa3
-	.4byte	0x155
+	.4byte	0x15a
 	.uleb128 0x8
-	.4byte	.LASF56
+	.4byte	.LASF57
 	.byte	0x18
 	.byte	0xa8
-	.4byte	0x331
+	.4byte	0x346
 	.uleb128 0x8
-	.4byte	.LASF57
+	.4byte	.LASF58
 	.byte	0x18
 	.byte	0xae
 	.4byte	0x29
